jobs:
    add_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     add_product_value
        label:     Mass add products values
        type:      mass_edit
    update_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     update_product_value
        label:     Mass update products
        type:      mass_edit
    remove_product_value:
        connector: Akeneo Mass Edit Connector
        alias:     remove_product_value
        label:     Mass remove products values
        type:      mass_edit
    move_to_category:
        connector: Akeneo Mass Edit Connector
        alias:     move_to_category
        label:     Mass move to categories
        type:      mass_edit
    add_association:
        connector: Akeneo Mass Edit Connector
        alias:     add_association
        label:     Mass associate products
        type:      mass_edit
    add_to_category:
        connector: Akeneo Mass Edit Connector
        alias:     add_to_category
        label:     Mass add to categories
        type:      mass_edit
    remove_from_category:
        connector: Akeneo Mass Edit Connector
        alias:     remove_from_category
        label:     Mass remove from categories
        type:      mass_edit
    add_to_group:
        connector: Akeneo Mass Edit Connector
        alias:     add_to_group
        label:     Mass add product to group
        type:      mass_edit
    edit_common_attributes:
        connector: Akeneo Mass Edit Connector
        alias:     edit_common_attributes
        label:     Mass edit product attributes
        type:      mass_edit
    add_attribute_value:
        connector: Akeneo Mass Edit Connector
        alias:     add_attribute_value
        label:     Mass add attribute value
        type:      mass_edit
    set_attribute_requirements:
        connector: Akeneo Mass Edit Connector
        alias:     set_attribute_requirements
        label:     Set family attribute requirements
        type:      mass_edit
    add_to_existing_product_model:
        connector: Akeneo Mass Edit Connector
        alias:     add_to_existing_product_model
        label:     Add to existing product model
        type:      mass_edit
    change_parent_product:
        connector: Akeneo Mass Edit Connector
        alias:     change_parent_product
        label:     Change parent product model
        type:      mass_edit
    delete_products_and_product_models:
        connector: Akeneo Mass Edit Connector
        alias:     delete_products_and_product_models
        label:     Mass delete products
        type:      mass_delete
    csv_product_quick_export:
        connector: Akeneo CSV Connector
        alias: csv_product_quick_export
        label: CSV product quick export
        type: quick_export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePathProduct:      /tmp/1_products-quick-export.csv
            filePathProductModel: /tmp/2_product-models-quick-export.csv
    csv_product_grid_context_quick_export:
        connector: Akeneo CSV Connector
        alias: csv_product_grid_context_quick_export
        label: CSV product quick export grid context
        type: quick_export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePathProduct:      /tmp/1_products_export_grid_context_%locale%_%scope%.csv
            filePathProductModel: /tmp/2_product_models_export_grid_context_%locale%_%scope%.csv
    xlsx_product_quick_export:
        connector: Akeneo XLSX Connector
        alias: xlsx_product_quick_export
        label: XLSX product quick export
        type: quick_export
        configuration:
            withHeader: true
            linesPerFile: 10000
            filePathProduct:      /tmp/1_products_export_%locale%_%scope%.xlsx
            filePathProductModel: /tmp/2_product_models_export_%locale%_%scope%.xlsx
    csv_product_model_export:
        connector: Akeneo CSV Connector
        alias:     csv_product_model_export
        label:     Demo CSV product model export
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            with_media: true
            filters:
                data: []
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    xlsx_product_grid_context_quick_export:
        connector: Akeneo XLSX Connector
        alias: xlsx_product_grid_context_quick_export
        label: XLSX product quick export grid context
        type: quick_export
        configuration:
            withHeader: true
            linesPerFile: 10000
            filePathProduct:      /tmp/1_products_export_grid_context_%locale%_%scope%.xlsx
            filePathProductModel: /tmp/2_product_models_export_grid_context_%locale%_%scope%.xlsx
    csv_catalog_modeling_product_import:
        connector: Akeneo CSV Connector
        alias:     csv_product_import
        label:     CSV catalog modeling product import
        type:      import
        configuration:
            uploadAllowed:     true
            delimiter:         ;
            enclosure:         '"'
            enabled:            true
            categoriesColumn:   categories
            familyColumn:       family
            groupsColumn:       groups
            realTimeVersioning: true
            decimalSeparator:   .
    xlsx_catalog_modeling_product_import:
        connector: Akeneo CSV Connector
        alias:     xlsx_product_import
        label:     XLSX catalog modeling product import
        type:      import
        configuration:
            uploadAllowed:      true
            enabled:            true
            categoriesColumn:   categories
            familyColumn:       family
            groupsColumn:       groups
            realTimeVersioning: true
            decimalSeparator:   .
    csv_catalog_modeling_family_import:
        connector: Akeneo CSV Connector
        alias:     csv_family_import
        label:     CSV catalog modeling family import
        type:      import
        configuration:
            uploadAllowed: true
            delimiter:     ;
            enclosure:     '"'
    csv_catalog_modeling_family_variant_import:
        connector: Akeneo CSV Connector
        alias:     csv_family_variant_import
        label:     CSV catalog modeling family variant import
        type:      import
        configuration:
            uploadAllowed: true
            delimiter:     ;
            enclosure:     '"'
    xlsx_catalog_modeling_family_variant_import:
        connector: Akeneo XLSX Connector
        alias:     xlsx_family_variant_import
        label:     XLSX catalog modeling family variant import
        type:      import
        configuration:
            uploadAllowed: true
    xlsx_catalog_modeling_family_import:
        connector: Akeneo XLSX Connector
        alias:     xlsx_family_import
        label:     XLSX catalog modeling family import
        type:      import
        configuration:
            uploadAllowed: true
    csv_catalog_modeling_family_variant_export:
        connector: Akeneo CSV Connector
        alias:     csv_family_variant_export
        label:     CSV catalog modeling family variant export
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePath:   /tmp/family_variant.csv
    xlsx_catalog_modeling_family_variant_export:
        connector: Akeneo XLSX Connector
        alias:     xlsx_family_variant_export
        label:     XLSX catalog modeling family variant export
        type:      export
        configuration:
            withHeader: true
            filePath:   /tmp/family_variant.xlsx

    csv_catalog_modeling_product_model_import:
        connector: Akeneo CSV Connector
        alias: csv_product_model_import
        label: CSV catalog modeling product model import
        type: import
        configuration:
            filePath: /tmp/product_model.csv
            uploadAllowed: true
            delimiter: ;
            enclosure: '"'
            enabled: true
            categoriesColumn: categories
            familyVariantColumn: family_variant
            realTimeVersioning: true
            decimalSeparator: .
            dateFormat: yyyy-MM-dd
    xlsx_catalog_modeling_product_model_import:
        connector: Akeneo XLSX Connector
        alias: xlsx_product_model_import
        label: XLSX catalog modeling product model import
        type: import
        configuration:
            filePath: /tmp/product_model.xlsx
            uploadAllowed: true
            enabled: true
            categoriesColumn: categories
            familyVariantColumn: family_variant
            realTimeVersioning: true
            decimalSeparator: .
            dateFormat: yyyy-MM-dd
    csv_summer_2016_shoes_products_export:
        connector: Akeneo CSV Connector
        alias:     csv_product_export
        label:     CSV summer 2016 shoes for ecommerce
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePath: /tmp/products.csv
            filters:
                data:
                    -
                        field: family
                        operator: 'IN'
                        value: ['shoes']
                    -
                        field: completeness
                        operator: '<='
                        value: 100
                        context:
                            locales: ['fr_FR', 'en_US', 'de_DE']
                    -
                        field: collection.code
                        operator: 'IN'
                        value: ['summer_2016']
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    csv_catalog_modeling_product_export:
        connector: Akeneo CSV Connector
        alias:     csv_product_export
        label:     CSV catalog modeling product export
        type:      export
        configuration:
            delimiter:  ;
            enclosure:  '"'
            withHeader: true
            filePath: /tmp/products.csv
    xlsx_summer_2016_shoes_products_export:
        connector: Akeneo XLSX Connector
        alias:     xlsx_product_export
        label:     XLSX summer 2016 shoes for ecommerce
        type:      export
        configuration:
            withHeader: true
            filePath: /tmp/products.xlsx
            filters:
                data:
                    -
                        field: family
                        operator: 'IN'
                        value: ['shoes']
                    -
                        field: completeness
                        operator: '<='
                        value: 100
                        context:
                            locales: ['fr_FR', 'en_US', 'de_DE']
                    -
                        field: collection.code
                        operator: 'IN'
                        value: ['summer_2016']
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    xlsx_summer_2016_models_export:
        connector: Akeneo XLSX Connector
        alias:     xlsx_product_model_export
        label:     XLSX summer 2016 models for ecommerce
        type:      export
        configuration:
            withHeader: true
            filePath: /tmp/product_models.xlsx
            filters:
                data:
                    -
                        field: categories
                        operator: 'IN CHILDREN'
                        value: ['master']
                structure:
                    scope: ecommerce
                    locales:
                        - en_US
    compute_completeness_of_products_family:
        connector: internal
        alias:     compute_completeness_of_products_family
        label:     compute completeness of products family
        type:      compute_completeness_of_products_family
    compute_family_variant_structure_changes:
        connector: internal
        alias:     compute_family_variant_structure_changes
        label:     Compute variant structure changes
        type:      compute_family_variant_structure_changes
    remove_non_existing_product_values:
        connector: internal
        alias:     remove_non_existing_product_values
        label:     Remove non existing product values
        type:      remove_non_existing_product_values
    clean_removed_attribute_job:
        connector: internal
        alias:     clean_removed_attribute_job
        label:     Cleaning removed attribute values
        type:      clean_removed_attribute_job
